#!/bin/sh

./MacOSXjavac-starlogo.sh

cd build
mkdir -p starlogo/gifs
#mkdir -p starlogo/3dgifs

jar xf ../tablelayout.jar 
jar xf ../../yoyo/build/yoyo.jar
jar xf ../../ptolemy/build/ptolemy.jar
jar xf ../../template/build/template.jar

cp ../src/starlogo/compiler.yoyo starlogo
cp ../src/starlogo/colormap.yuv.bin starlogo
cp ../src/starlogo/*.sls starlogo
cp ../src/starlogo/project-template.html starlogo
cp ../src/starlogo/*.properties starlogo
cp ../src/starlogo/*.txt starlogo
cp ../src/starlogo/gifs/*.gif starlogo/gifs
cp ../src/starlogo/gifs/*.png starlogo/gifs
#cp ../src/starlogo/3dgifs/*.png starlogo/3dgifs

jar cf starlogo.jar yoyo starlogo ptolemy template info

rm -r starlogo
rm -r ptolemy
rm -r template
rm -r yoyo
rm -r info

cp starlogo.jar StarLogo.app/Contents/Resources/Java
cp starlogo.jar StarLogo-10.1.app/Contents/Resources/Java
cd ..
