#!/bin/sh

./jikes-starlogo.sh

cp ../yoyo/build/yoyo.jar build
cp ../ptolemy/build/ptolemy.jar build
cp ../template/build/template.jar build
cp newtablelayout.jar build
cp tablelayout.jar build
cd build
mkdir starlogo
mkdir starlogo/gifs
mkdir starlogo/3dgifs

jar xf ../tablelayout.jar
jar xf yoyo.jar
jar xf ptolemy.jar
jar xf template.jar
rm yoyo.jar
rm ptolemy.jar
rm template.jar
rm tablelayout.jar

#cp ../src/starlogo/*.class starlogo
cp ../src/starlogo/compiler.yoyo starlogo
cp ../src/starlogo/colormap.yuv.bin starlogo
cp ../src/starlogo/*.sls starlogo
cp ../src/starlogo/project-template.html starlogo
cp ../src/starlogo/*.properties starlogo
cp ../src/starlogo/*.txt starlogo
cp ../src/starlogo/gifs/*.gif starlogo/gifs
cp ../src/starlogo/gifs/*.bmp starlogo/gifs
cp ../src/starlogo/gifs/*.png starlogo/gifs
cp ../src/starlogo/3dgifs/*.png starlogo/3dgifs

jar cf starlogo.jar yoyo starlogo ptolemy template info 
cp starlogo.jar ..
rm starlogo/*.class
rm starlogo/*.yoyo
rm starlogo/*.html
rm starlogo/*.bin
rm starlogo/*.sls
rm starlogo/*.properties
rm starlogo/*.txt
rm starlogo/gifs/*.gif
rm starlogo/gifs/*.png
rm starlogo/gifs/*.bmp

rmdir starlogo/gifs
rm starlogo/3dgifs/*.png
rm starlogo/3dgifs/

rmdir starlogo

rm -r info
rm -r gnu
rm -r ptolemy
rm -r template
rm -r yoyo

cd ..
