#!/bin/sh

./jikes-template.sh
if [ $? -ne 0 ] 
then
    echo "there were some errors..."
    exit
fi


cd build

mkdir template
mkdir template/arguments
mkdir template/turtleFuncs
mkdir template/observerFuncs
mkdir template/general

cd ..

cp src/template/*.class build/template
cp src/template/arguments/*.class build/template/arguments
cp src/template/turtleFuncs/*.class build/template/turtleFuncs
cp src/template/observerFuncs/*.class build/template/observerFuncs
cp src/template/general/*.class build/template/general

cd build
jar cf template.jar template 

rm -rf template 

cd .. 
